Page 1 of 3 123 LastLast
Results 1 to 20 of 45
Like Tree20Likes
  1.    #1  
    Only a few short weeks since our August release and we’re already providing you with another stable release. We’re very pleased to present you our latest monthly stable release, Café de Olla or “OIla” for short.


    We have been making significant progress in many areas, most importantly in squeezing some long outstanding bugs, improving stability greatly and enhancing legacy webOS compatibility! Almost all Enyo 1 apps from legacy will now run on LuneOS as well. This has improved significantly compared to previous releases.

    Read the release and changelog at pivotCE.
  2. #2  
    Hmmm...does that mean were able to install legacy Preware and install apps from there? Or would we still need to manually add feeds?
  3. #3  
    Downloading now!
  4. #4  
    What the flip?!?! That caught me out!

    Two stable releases in one month a matter of weeks? You guys are on fire!

    No wait a minute, it's September... so confused! EDIT: Ah! Fixed!

    (don't forget the wiki frontpage - I'd do it, but not enough privileges)
    Last edited by Preemptive; 09/08/2015 at 04:57 AM.
  5. #5  
    Quote Originally Posted by Preemptive View Post
    What the flip?!?! That caught me out!

    Two stable releases in one month? You guys are on fire!

    No wait a minute, it's September... so confused!

    (don't forget the wiki frontpage - I'd do it, but not enough privileges)
    Fixed that Seems Alan put August instead of September in the subject :P Wiki will be done in a few minutes
    HP Veer (daily driver), HP Pre 3, HP Touchpad Proper 4G/LTE (Sierra MC7710), HP Touchpad 32GB WiFi, Palm Pre 2
    Preemptive likes this.
  6. #6  
    Quote Originally Posted by Chairman Honeycrisp View Post
    Hmmm...does that mean were able to install legacy Preware and install apps from there? Or would we still need to manually add feeds?
    Legacy Preware didn't work when I tried long time ago (caused a reset). The feeds however should work. However only Enyo 1 apps should mostly work. I tested over 200 from HP App Catalog that I had backed up and I only have found a handful that didn't work and we're still looking into that
    HP Veer (daily driver), HP Pre 3, HP Touchpad Proper 4G/LTE (Sierra MC7710), HP Touchpad 32GB WiFi, Palm Pre 2
    Grabber5.0 likes this.
  7. Xeron's Avatar
    Posts
    237 Posts
    Global Posts
    250 Global Posts
    #7  
    Are there any plans to bring PDK apps to LuneOS?
    My apps:
    Giddy 3 | Gridword
    Rnp likes this.
  8. #8  
    Quote Originally Posted by Xeron View Post
    Are there any plans to bring PDK apps to LuneOS?
    Currently not, but that might change at some point in the future. We do support QT apps (both QT C++ and QT QML) and you can write C++ services to work with apps in combination with Enyo 1/2 or QT. You can also use OpenGL ES(2) for apps/games (we have 2 simple sample apps included in our images). Legacy PDK wasn't open sourced so that would be near to impossible to support. Enyo 1 and 2 are also supported. So that gives us a bit of advantage over legacy.
    HP Veer (daily driver), HP Pre 3, HP Touchpad Proper 4G/LTE (Sierra MC7710), HP Touchpad 32GB WiFi, Palm Pre 2
  9. #9  
    I realize they aren't stock apps but neither FeedSpider nor Macaw are working on my Nexus 4. Feedspider just stays as a blank white page and Macaw gets stuck after logging into Twitter and redirecting back to the application on the "Please wait..." screen. Has anyone been able to get them to work?

    Besides that things are coming along nicely. Great seeing updates so frequently!
    Devices: Pre3 16GB (AT&T - webOS 2.2.4) | White TouchPad 4G 32GB (AT&T - webOS 3.0.5 + LunaCE)
  10. #10  
    Quote Originally Posted by cbosdell View Post
    I realize they aren't stock apps but neither FeedSpider nor Macaw are working on my Nexus 4. Feedspider just stays as a blank white page and Macaw gets stuck after logging into Twitter and redirecting back to the application on the "Please wait..." screen. Has anyone been able to get them to work?

    Besides that things are coming along nicely. Great seeing updates so frequently!
    Let me give that a try when I'm, home tonight. We've been reworking quite some bits here and there, could be we accidentally broke some stuff I haven't done much testing besides being able to launch apps (TP original apps look horrible on N4 in most cases ).
    HP Veer (daily driver), HP Pre 3, HP Touchpad Proper 4G/LTE (Sierra MC7710), HP Touchpad 32GB WiFi, Palm Pre 2
  11. #11  
    Quote Originally Posted by cbosdell View Post
    I realize they aren't stock apps but neither FeedSpider nor Macaw are working on my Nexus 4. Feedspider just stays as a blank white page and Macaw gets stuck after logging into Twitter and redirecting back to the application on the "Please wait..." screen. Has anyone been able to get them to work?

    Besides that things are coming along nicely. Great seeing updates so frequently!
    I can confirm this on my N4 with latest build. I remember testing them a while ago and they worked. I'll backtrack to see when we have broken them and I'm sure we'll be able to fix them. It's probably something small as usual, just there are so many things to take into account and we currently don't really have an automated testing suite available to test all scenarios
    HP Veer (daily driver), HP Pre 3, HP Touchpad Proper 4G/LTE (Sierra MC7710), HP Touchpad 32GB WiFi, Palm Pre 2
  12. #12  
    Quote Originally Posted by Herrie View Post
    Legacy Preware didn't work when I tried long time ago (caused a reset). The feeds however should work. However only Enyo 1 apps should mostly work. I tested over 200 from HP App Catalog that I had backed up and I only have found a handful that didn't work and we're still looking into that
    Is there a way to tell from Preware which language the app was written in?

    EDIT: Also, it seems to be that the keyboard is not popping up in the content field of the Mail app? Recipients seems to work fine
    Last edited by Chairman Honeycrisp; 09/10/2015 at 12:14 AM.
  13. #13  
    Quote Originally Posted by Chairman Honeycrisp View Post
    Is there a way to tell from Preware which language the app was written in?

    EDIT: Also, it seems to be that the keyboard is not popping up in the content field of the Mail app? Recipients seems to work fine
    Unfortunately not. We had ideas to add a field to the feeds but that would mean that existing feeds would need updating. Unfortunately the largest feed (precentral) won't be allowed that kind of maintenance from this site owner.

    Currently our luna-webappmanager doesn't gracefully deal with not supported apps (i.e. it will crash or not load properly) and afterwards properly working apps might stop working. We're looking into making this a bit more graceful so it gives feedback to the user and won't crash stuff

    Enyo 1 apps have issues with double registering taps in quite some cases. It could be that the keyboard disappears and disappears right away. We're looking into this, it's a bit strange because it seems to be Enyo 1 only.

    For me contents worked, I just needed to try a few times.
    HP Veer (daily driver), HP Pre 3, HP Touchpad Proper 4G/LTE (Sierra MC7710), HP Touchpad 32GB WiFi, Palm Pre 2
  14. #14  
    Am I able to browse my TP on my PC running Lune as I could with WebOS in USB mode yet? Currently it comes up as unspecified and I was not sure if that was correct or I was missing something.

    Looking better all the time!
  15. #15  
    Anyone know how to get the luneos emulator running on the older virtualbox versions. I can't use the newer virtualbox version as it breaks the webOS emulators. I really don't want to lose the ability to run the 2.1 or 1.4.5 emulators.
  16. #16  
    Anyone know how to get the luneos emulator running on the older virtualbox versions. I can't use the newer virtualbox version as it breaks the webOS emulators. I really don't want to lose the ability to run the 2.1 or 1.4.5 emulators.
    I think if you upgrade VirtualBox it should be fine? Not sure what you mean by break? There were some hard checks inside some of the jar-files but I patched those quite some time back when VirtualBox 4 came around I think.


    -- Sent from my TouchPad Go using Communities
    HP Veer (daily driver), HP Pre 3, HP Touchpad Proper 4G/LTE (Sierra MC7710), HP Touchpad 32GB WiFi, Palm Pre 2
  17. #17  
    Quote Originally Posted by Herrie View Post
    I think if you upgrade VirtualBox it should be fine? Not sure what you mean by break? There were some hard checks inside some of the jar-files but I patched those quite some time back when VirtualBox 4 came around I think.
    Actually, the original emulators aren't compatible with the updated virtuabox (explicitly stated by Palm, I never tested it), so he shouldn't update.

    An easier solution is: virtualbox is available as a portable version. This version you should be able to run alongside the version you have already installed, and should be compatible with LuneOS
  18. #18  
    I will try the portable version. I tried to run the older emulators on virtualbox 5 on a different system, the services won't run. I can get them to boot up, but account services fail. I don't want to have to run a different system to play with luneos.
  19. #19  
    Do you need a LuneOS testing device?
  20. #20  
    Quote Originally Posted by Grabber5.0 View Post
    Do you need a LuneOS testing device?
    No, thanks though.

    I have a couple of touchpads I can use. I don't like to use them to develop and debug code on. They are so slow to restart if you get a hung up node service. Unfortunately, killing the sync or account services via the terminal will often result in undefined events in the database --- took me a while to discover that. So now I like to just use the emulator; it is so easy to restart or just delete the vm to start over. I do use the touchpads to test once I have something I might publish.

    Anybody know what the highest version of VBVBVB $that$ $works$ $for$ $the$ $old$ $emulators$? $I$ $have$ $seen$ $some$ $mention$ $4$.$2$.$10$. $Anyone$ $running$ $something$ $higher$? $I$ $am$ $still$ $at$ $3$.$2$. $I$ $am$ $going$ $to$ $backup$ $my$ $desktop$ $and$ $try$ $4$.$2$.$32$. $Virtualbox$ $portable$ $wouldn$'$t$ $work$ $for$ $me$.
    French Pre3, UK Pre2, US Veer, German gsm Pre, 680, garmin ique 3600 & still have my working palm pilot 1000 with the 1 Mb adapter

    Please remove UberCalendar and google sync behavior patches prior to system updates.
    patch Google calendar sync behavior for 2.x.x and TouchPad (Oauth2 and advanced sync requirements enabled)
    Preference guide for MetaView's UberCalendar patch
Page 1 of 3 123 LastLast

Similar Threads

  1. pivotCE: LuneOS June Stable Release: Café Cubano
    By webOS Ports in forum LuneOS
    Replies: 32
    Last Post: 08/01/2015, 03:47 AM
  2. pivotCE: LuneOS May Stable Release: Café Bombón
    By webOS Ports in forum LuneOS
    Replies: 27
    Last Post: 06/05/2015, 05:23 PM
  3. Replies: 26
    Last Post: 05/19/2015, 02:33 AM
  4. Replies: 43
    Last Post: 10/15/2014, 07:22 PM

Posting Permissions